import * as React from 'react';
import { ContourValueResolver } from "./ContourValueResolver";
/**
 * Class used to determine the numeric values of contour lines, given a larger list of numeric values.
*/
export declare abstract class IgrContourValueResolver<P extends IIgrContourValueResolverProps = IIgrContourValueResolverProps> extends React.Component<P, {}> {
    protected createImplementation(): ContourValueResolver;
    protected _implementation: any;
    readonly i: ContourValueResolver;
    private onImplementationCreated;
    constructor(props: P);
    private _hasUserValues;
    protected readonly hasUserValues: Set<string>;
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    render(): any;
}
export interface IIgrContourValueResolverProps {
}
